# eric4.KdeQt.KQInputDialog

Compatibility module to use the KDE Input Dialog instead of the Qt Input Dialog.

### Global Attributes

__qtGetDouble
__qtGetInteger
__qtGetItem
__qtGetText

### Classes

None

### Functions

__kdeGetDouble | Function to get a double value from the user.
__kdeGetInteger | Function to get an integer value from the user.
__kdeGetItem | Function to get an item of a list from the user.
__kdeGetText | Function to get some text from the user.
getDouble | Function to get a double value from the user.
getInteger | Function to get an integer value from the user.
getItem | Function to get an item of a list from the user.
getText | Function to get some text from the user.

## __kdeGetDouble

__kdeGetDouble(parent, title, label, value = 0.0, minValue = -2147483647.0, maxValue = 2147483647.0, decimals = 1, f = Qt.WindowFlags(Qt.Widget))

Function to get a double value from the user.

parent
  parent widget of the dialog (QWidget)
title
  window title of the dialog (QString)
label
  text of the label for the line edit (QString)
value
  initial value of the spin box (double)
minValue
  minimal value of the spin box (double)
maxValue
  maximal value of the spin box (double)
decimals
  maximum number of decimals the value may have (integer)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  tuple of (value, ok). value contains the double entered by the user, ok indicates a valid input. (double, boolean)

Up

## __kdeGetInteger

__kdeGetInteger(parent, title, label, value = 0, minValue = -2147483647, maxValue = 2147483647, step = 1, f = Qt.WindowFlags(Qt.Widget))

Function to get an integer value from the user.

parent
  parent widget of the dialog (QWidget)
title
  window title of the dialog (QString)
label
  text of the label for the line edit (QString)
value
  initial value of the spin box (integer)
minValue
  minimal value of the spin box (integer)
maxValue
  maximal value of the spin box (integer)
step
  step size of the spin box (integer)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  tuple of (value, ok). value contains the integer entered by the user, ok indicates a valid input. (integer, boolean)

Up

## __kdeGetItem

__kdeGetItem(parent, title, label, slist, current = 0, editable = True, f = Qt.WindowFlags(Qt.Widget))

Function to get an item of a list from the user.

parent
  parent widget of the dialog (QWidget)
title
  window title of the dialog (QString)
label
  text of the label for the line edit (QString)
slist
  list of strings to select from (QStringList)
current
  number of item, that should be selected as a default (integer)
editable
  indicates whether the user can input their own text (boolean)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  tuple of (value, ok). value contains the double entered by the user, ok indicates a valid input. (QString, boolean)

Up

## __kdeGetText

__kdeGetText(parent, title, label, mode = QLineEdit.Normal, text = QString(), f = Qt.WindowFlags(Qt.Widget))

Function to get some text from the user.

parent
  parent widget of the dialog (QWidget)
title
  window title of the dialog (QString)
label
  text of the label for the line edit (QString)
mode
  mode of the line edit (QLineEdit.EchoMode)
text
  initial text of the line edit (QString)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  tuple of (text, ok). text contains the text entered by the user, ok indicates a valid input. (QString, boolean)

Up

## getDouble

getDouble(parent, title, label, value = 0.0, minValue = -2147483647.0, maxValue = 2147483647.0, decimals = 1, f = Qt.WindowFlags(Qt.Widget))

Function to get a double value from the user.

parent
  parent widget of the dialog (QWidget)
title
  window title of the dialog (QString)
label
  text of the label for the line edit (QString)
value
  initial value of the spin box (double)
minValue
  minimal value of the spin box (double)
maxValue
  maximal value of the spin box (double)
decimals
  maximum number of decimals the value may have (integer)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  tuple of (value, ok). value contains the double entered by the user, ok indicates a valid input. (double, boolean)

Up

## getInteger

getInteger(parent, title, label, value = 0, minValue = -2147483647, maxValue = 2147483647, step = 1, f = Qt.WindowFlags(Qt.Widget))

Function to get an integer value from the user.

parent
  parent widget of the dialog (QWidget)
title
  window title of the dialog (QString)
label
  text of the label for the line edit (QString)
value
  initial value of the spin box (integer)
minValue
  minimal value of the spin box (integer)
maxValue
  maximal value of the spin box (integer)
step
  step size of the spin box (integer)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  tuple of (value, ok). value contains the integer entered by the user, ok indicates a valid input. (integer, boolean)

Up

## getItem

getItem(parent, title, label, slist, current = 0, editable = True, f = Qt.WindowFlags(Qt.Widget))

Function to get an item of a list from the user.

parent
  parent widget of the dialog (QWidget)
title
  window title of the dialog (QString)
label
  text of the label for the line edit (QString)
slist
  list of strings to select from (QStringList)
current
  number of item, that should be selected as a default (integer)
editable
  indicates whether the user can input their own text (boolean)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  tuple of (value, ok). value contains the double entered by the user, ok indicates a valid input. (QString, boolean)

Up

## getText

getText(parent, title, label, mode = QLineEdit.Normal, text = QString(), f = Qt.WindowFlags(Qt.Widget))

Function to get some text from the user.

parent
  parent widget of the dialog (QWidget)
title
  window title of the dialog (QString)
label
  text of the label for the line edit (QString)
mode
  mode of the line edit (QLineEdit.EchoMode)
text
  initial text of the line edit (QString)
f
  window flags for the dialog (Qt.WindowFlags)

Returns:
  tuple of (text, ok). text contains the text entered by the user, ok indicates a valid input. (QString, boolean)

Up